// ukazkovy kod pro TFT displej pro Arneho

// Code provided by Smoke And Wires
// http://www.smokeandwires.co.nz
// This code has been taken from the Adafruit TFT Library and modified
//  by us for use with our TFT Shields / Modules
// For original code / licensing please refer to
// https://github.com/adafruit/TFTLCD-Library

#include <Adafruit_GFX.h>    // Core graphics library
#include "SWTFT.h" // Hardware-specific library

// The control pins for the LCD can be assigned to any digital or
// analog pins...but we'll use the analog pins as this allows us to
// double up the pins with the touch screen (see the TFT paint example).
// #define LCD_CS A3 // Chip Select goes to Analog 3
// #define LCD_CD A2 // Command/Data goes to Analog 2
// #define LCD_WR A1 // LCD Write goes to Analog 1
// #define LCD_RD A0 // LCD Read goes to Analog 0

// #define LCD_RESET A4 // Can alternately just connect to Arduino's reset pin

// When using the BREAKOUT BOARD only, use these 8 data lines to the LCD:
// For the Arduino Uno, Duemilanove, Diecimila, etc.:
//   D0 connects to digital pin 8  (Notice these are
//   D1 connects to digital pin 9   NOT in order!)
//   D2 connects to digital pin 2
//   D3 connects to digital pin 3
//   D4 connects to digital pin 4
//   D5 connects to digital pin 5
//   D6 connects to digital pin 6
//   D7 connects to digital pin 7
// For the Arduino Mega, use digital pins 22 through 29
// (on the 2-row header at the end of the board).

// Assign human-readable names to some common 16-bit color values:
#define BLACK   0x0000
#define BLUE    0x001F
#define RED     0xF800
#define GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

// This is the object used for display output:
SWTFT tft;

// just some colours displayed:
unsigned long testFillScreen() {
  unsigned long start = micros();
  tft.fillScreen(BLACK);
  tft.fillScreen(RED);
  tft.fillScreen(GREEN);
  tft.fillScreen(BLUE);
  tft.fillScreen(BLACK);
  return micros() - start;
}

// print some text:
unsigned long testText() {
  tft.fillScreen(BLACK);
  unsigned long start = micros();
  tft.setCursor(0, 0);
  tft.setTextColor(WHITE);  
  tft.setTextSize(1);
  tft.println("TFT Display 320x240px");

  tft.setTextSize(2);

  tft.setTextColor(RED);
  tft.println(" ");
  tft.println(" ");
  tft.println("Nazdar Arne!");
  
  tft.setTextColor(GREEN);
  tft.println("Snad se ti bude");

  tft.setTextColor(BLUE);
  tft.println("hodit Arduino s");
  
  tft.setTextColor(CYAN);
  tft.println("dotykovym displejem");
  
  tft.setTextColor(MAGENTA);
  tft.println(" ");
  tft.println("Zdrojak tohohle");

  tft.setTextColor(YELLOW);
  tft.println("programu ti pomuze");

  tft.setTextColor(WHITE);
  tft.println("najit nekdo na");

  tft.setTextColor(RED);
  tft.println("Robodoupeti.");

  return micros() - start;
}

void setup(void) {
 Serial.begin(9600);
 Serial.print("display reset & init\n");
  tft.reset();

  uint16_t identifier = tft.readID();
  tft.begin(identifier); 
}

void loop(void) {
  for(uint8_t rotation=0; rotation<4; rotation++) {
    Serial.print("Display set rotation to: ");Serial.println(rotation);
    tft.setRotation(rotation);
    testText();
    delay(10000);
  }
}


